Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.application.jsp
Class JspStateManagerImpl

    java.lang.Object
      javax.faces.application.StateManager
          org.apache.myfaces.application.MyfacesStateManager
              org.apache.myfaces.application.jsp.JspStateManagerImpl

public class JspStateManagerImpl
extends MyfacesStateManager

Default StateManager implementation.

Version:
  $Revision: 279748 $ $Date: 2005-09-09 08:10:58 -0400 (Fri, 09 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: oros $), Manfred Geiler

Nested Class Summary

Nested classes inherited from class javax.faces.application.StateManager
`javax.faces.application.StateManager.SerializedView`

Field Summary

Fields inherited from class javax.faces.application.StateManager
`STATE_SAVING_METHOD_CLIENT, STATE_SAVING_METHOD_PARAM_NAME, STATE_SAVING_METHOD_SERVER`

Constructor Summary
`JspStateManagerImpl()`

Method Summary
`protected java.lang.Object` | `getComponentStateToSave(javax.faces.context.FacesContext facesContext)`
`protected javax.faces.render.RenderKitFactory` | `getRenderKitFactory()`
`protected javax.faces.application.StateManager.SerializedView` | `getSerializedViewFromServletSession(javax.faces.context.ExternalContext externalContext, java.lang.String viewId)`
`protected java.lang.Object` | `getTreeStructureToSave(javax.faces.context.FacesContext facesContext)`
`protected void` | `removeSerializedViewFromServletSession(javax.faces.context.ExternalContext externalContext, java.lang.String viewId)`
`protected void` | `restoreComponentState(javax.faces.context.FacesContext facesContext, javax.faces.component.UIViewRoot uiViewRoot, java.lang.String renderKitId)`
`protected javax.faces.component.UIViewRoot` | `restoreTreeStructure(javax.faces.context.FacesContext facesContext, java.lang.String viewId, java.lang.String renderKitId)`
`javax.faces.component.UIViewRoot` | `restoreView(javax.faces.context.FacesContext facescontext, java.lang.String viewId, java.lang.String renderKitId)`
`javax.faces.application.StateManager.SerializedView` | `saveSerializedView(javax.faces.context.FacesContext facesContext)`
`protected void` | `saveSerializedViewInServletSession(javax.faces.context.ExternalContext externalContext, java.lang.String viewId, javax.faces.application.StateManager.SerializedView serializedView)`
`void` | `writeState(javax.faces.context.FacesContext facesContext, javax.faces.application.StateManager.SerializedView serializedView)`
`void` | `writeStateAsUrlParams(javax.faces.context.FacesContext facesContext, javax.faces.application.StateManager.SerializedView serializedView)` MyFaces extension

Methods inherited from class javax.faces.application.StateManager
`isSavingStateInClient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspStateManagerImpl

    public JspStateManagerImpl()

Method Detail

### getComponentStateToSave

    protected java.lang.Object getComponentStateToSave(javax.faces.context.FacesContext facesContext)

### getTreeStructureToSave

    protected java.lang.Object getTreeStructureToSave(javax.faces.context.FacesContext facesContext)

### restoreComponentState

    protected void restoreComponentState(javax.faces.context.FacesContext facesContext,
                                         javax.faces.component.UIViewRoot uiViewRoot,
                                         java.lang.String renderKitId)

### restoreTreeStructure

    protected javax.faces.component.UIViewRoot restoreTreeStructure(javax.faces.context.FacesContext facesContext,
                                                                    java.lang.String viewId,
                                                                    java.lang.String renderKitId)

### restoreView

    public javax.faces.component.UIViewRoot restoreView(javax.faces.context.FacesContext facescontext,
                                                        java.lang.String viewId,
                                                        java.lang.String renderKitId)

### saveSerializedView

    public javax.faces.application.StateManager.SerializedView saveSerializedView(javax.faces.context.FacesContext facesContext)
                                                                           throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### writeState

    public void writeState(javax.faces.context.FacesContext facesContext,
                           javax.faces.application.StateManager.SerializedView serializedView)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeStateAsUrlParams

    public void writeStateAsUrlParams(javax.faces.context.FacesContext facesContext,
                                      javax.faces.application.StateManager.SerializedView serializedView)
                               throws java.io.IOException

  MyFaces extension

  Specified by:
    `writeStateAsUrlParams` in class `MyfacesStateManager`
  Parameters:
    `facesContext` -
    `serializedView` -
  Throws:
    `java.io.IOException`

### getRenderKitFactory

    protected javax.faces.render.RenderKitFactory getRenderKitFactory()

### saveSerializedViewInServletSession

    protected void saveSerializedViewInServletSession(javax.faces.context.ExternalContext externalContext,
                                                      java.lang.String viewId,
                                                      javax.faces.application.StateManager.SerializedView serializedView)

### getSerializedViewFromServletSession

    protected javax.faces.application.StateManager.SerializedView getSerializedViewFromServletSession(javax.faces.context.ExternalContext externalContext,
                                                                                                      java.lang.String viewId)

### removeSerializedViewFromServletSession

    protected void removeSerializedViewFromServletSession(javax.faces.context.ExternalContext externalContext,
                                                          java.lang.String viewId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD